Debian Bug report logs - #263826
ITP: emilda -- Web Based Integrated Library System

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: deckrider@gmail.com

Date: Thu, 5 Aug 2004 22:03:03 UTC

Owned by: deckrider@yahoo.com

Severity: wishlist

Tags: patch

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#263826; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@myrealbox.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@myrealbox.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: emilda -- Web Based Integrated Library System
Date: Thu, 05 Aug 2004 08:48:26 -0600
Package: wnpp
Severity: wishlist

I am not a Debian Developer, so I am looking for sponsorship.
My packages for the following are available at:

  http://users.adelphia.net/~david.everly/emilda/sarge/
  deb http://users.adelphia.net/~david.everly emilda/sarge/
  deb-src http://users.adelphia.net/~david.everly emilda/sarge/

* Package name    : emilda
  Version         : 20040726.cvs
  Upstream Author : Christoffer Landtman <landtman at realnode com>
* URL             : http://www.emilda.org/
* License         : GPL
  Description     : Web Based Integrated Library System

Emilda is a complete Integrated Library System that features amongst others
an OPAC, circulation and administration functions, Z39.50 capabilities and
100% MARC compatibility. MARC compatibility is achieved using Zebra in
conjunction with MySQL.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=C, LC_CTYPE=C



Tags added: patch Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as deckrider@yahoo.com. Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from deckrider@yahoo.com to deckrider@yahoo.com. Request was from David Everly <deckrider@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from David Everly <deckrider@myrealbox.com> to deckrider@yahoo.com. Request was from David Everly <david.everly@adelphia.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from deckrider@yahoo.com to deckrider@gmail.com. Request was from David Everly <deckrider@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to deckrider@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 263826-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 263826-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 08 Oct 2006 11:59:35 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 263826
thanks bts

Further comments on the work done in the bug sent to
263826@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263826; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David Everly" <deckrider@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #27 received at 263826@bugs.debian.org (full text, mbox):

From: "David Everly" <deckrider@gmail.com>
To: 263826@bugs.debian.org
Subject: waiting for sponsor
Date: Mon, 6 Nov 2006 06:42:14 -0700
waiting for sponsor
-- 
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
   Information:  http://www.expita.com/nomime.html



Bug reopened, originator not changed. Request was from "David Everly" <deckrider@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263826; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #34 received at 263826@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: David Everly <deckrider@gmail.com>, 263826@bugs.debian.org
Subject: Re: Bug#263826: waiting for sponsor
Date: Mon, 06 Nov 2006 15:48:41 +0100
David Everly wrote:
> waiting for sponsor

note that you should ask for sponsorship on debian-mentors. however, i'm
looking at your package in about an hour.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, deckrider@yahoo.com:
Bug#263826; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, deckrider@yahoo.com. Full text and rfc822 format available.

Message #39 received at 263826@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: deckrider@gmail.com, 263826@bugs.debian.org
Subject: Re: Bug#263826: waiting for sponsor
Date: Mon, 06 Nov 2006 17:42:48 +0100
there are quite a few things to be done, but first of all:

please do upload the package somewhere where directory listing is
enabled. if you've no other possibility, you can also make use of
mentors.debian.net of course.

now to the package:

  * rebuild it on and for sid, sarge is not developed anymore, only
    security updates. do functional tests on sid too.
  * debian/changelog contains a useless empty-line at the end of the
    file.
  * debhelper (>= 4.0.0) is over-precise, debhelper (>= 4) is just
    enough.
  * don't write versioned depends like this: foo (>=1.2.3)
    but like this instead: foo (>= 1.2.3)
    (note the space)
  * don't depend on specific revisions if it's not required, even drop
    the whole version if it's fulfillable in stable.
  * Standards-Version: 3.6.1 is very outdated, update to current one
  * your package builds multiple binary packages, hence you should not
    use non-prefixed helpers like debian/dirs and debian/docs, but
    explicitly direct them to the right package (e.g. debian/emilda.dirs
    here)
  * including TODO in *docs isn't very informative, same with README.
  * remove the commented useless stuff from the maintainer scripts
  * do not use bashisms in the maintainer scripts.
  * remove the useless empty lines at the end of the maintainer scripts
  * remove the useless empty lines at the end of logrotate
  * if you use .install files, you don't need to create the dirs for
    them
  * remove the useless comented stuff in the watch and rule file
  * your build commands are bad, make will not stop processing if
    an error occures.
  * dh_installexamples and dh_installman is useless
  * remove the configure: rule, it's useless
  * it has been best-practise to have the dpatches starting with a
    number in order of patching.
    e.g. fhs_debian.dpatch would be renamed to 01-fhs-debian.dpatch etc.
  * fix the shebang of all dpatches (look at the dpatch templates).
  * remove the
    ## All lines beginning with `## DP:' are a description of the patch.
    lines from the dpatches, they are useless
  * additionally, you want to remove the magic at the beginning,
    this is also not needed.
  * fix the author information in the dpatches:
    it should not be 'by  <deckrider@yahoo.com>', but
    'by $Prename $Surname <$email>'.

i've not covered all things, but the most important ones. once you fixed
those, i'll look again at the package and tell you the remaining ones.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to deckrider@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 263826-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 263826-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 08 Nov 2007 11:59:37 -0700
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 263826
 stop

Further comments on the work done in the bug sent to
263826@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Dec 2007 07:25:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:53:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.